#include <stdio.h>
#include <string.h>
#include <malloc.h>

struct node_t
{
    int value;
    struct node_t* prev;
    struct node_t* next;
};

struct node_t* add_num(struct node_t* nums, int value)
{
    struct node_t* new_num = malloc(sizeof*new_num);
    new_num->value = value;
    if (nums == NULL)
    {
        new_num->next = NULL;
        return new_num;
    }
    new_num->next = nums;
    //nums->prev = new_num;
    return nums;
};

int even(int n, char* input)
{
    struct node_t* nums = NULL;
    int tmp = 0;
    char tmpc[5];
    int cnt;
    int tmp1 = 0;
    int res = 0;
    //printf("%s", input[2]);
    while(input)
    {
        if(input == ' ')
        {
            tmp = atoi(tmpc);
            nums = add_num(nums, tmp);
            printf("%d", tmp);
            strcpy(tmpc, "");
            cnt = 0;
        }
        tmpc[cnt] = (int)input;
        input++;
        cnt++;
    }
    /*while(nums)
    {
        printf("%d", nums->value);
        nums = nums->next;
    }*/
    /*for(struct node_t* temp = nums; temp != NULL; temp = temp->next)
    {
        if(temp->next)
        {
            tmp1 = temp->value;
            if(tmp1 % 2 == 0)
                res++;
            for(struct node_t* temp2 = temp->next; temp2 != NULL; temp2 = temp2->next)
            {
                tmp1 *= temp2->value;
                if(tmp1 % 2 == 0)
                    res++;
            }
            tmp1 = 0;
        }
    }*/
    return res;
}

int main()
{
    int n = 0;
    char input[20000];
    scanf("%d", &n);
    scanf("%s", input);
    for(int i = 0; i < 5; i++)
    {
        printf("%s", input[i]);
    }
    printf("%d", even(n, input));
    return 0;
}
